{config, pkgs, ...}:
{
environment.systemPackages = with pkgs; [
  restic
  ];
services.restic.backups = {
  remotebackup = {
    initialize = true;
    passwordFile = "/run/restic_pass";
    paths = [ "/var/lib/nextcloud/data/" "/var/backup/postgresql" ];
    #repository = "rest:https://back.atlanticaweb.fr/Nextcloud";
    repository = "sftp:u329746@u329746.your-storagebox.de:/home/Nextcloud"; 
    timerConfig = {
      OnCalendar = "02:05";
      RandomizedDelaySec = "5h";
    };
  };
};
services.postgresqlBackup = {
  enable = true;
  backupAll = true;
#  location = "/var/lib/nextcloud/data/backup";
  };
}
