{ pkgs, ... }: {
  imports = [
    ./hardware-configuration.nix
    ./nextcloud.nix
    ./backup.nix
    ./databases.nix
    ../modules/users.nix
    ../modules/common.nix
    ../modules/navidrome.nix
    ../modules/transmission.nix
    ../modules/prometheus-node.nix
    ../docker/appsmith.nix
    ../docker/baserow.nix
    ./agenix.nix
#    <agenix/modules/age.nix>
  ];

  system.stateVersion = "21.05";
  boot.cleanTmpDir = true;
  zramSwap.enable = true;
  networking.hostName = "next";
  services.openssh.enable = true;
  users.users.root.openssh.authorizedKeys.keys = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKUA1RW6JwZasspAp8qmFRFnlV5WXjhLfStAAkM+KYLv lucazeau.alexandre@gmail.com" 
  ];

  programs.ssh.extraConfig = "Host u329746.your-storagebox.de\n  Hostname u329746.your-storagebox.de\n  Port 23\n  user u329746\n  IdentityFile /home/alexandre/.ssh/id_ed25519-perso";
  networking.firewall.allowedTCPPorts = [ 80 443 22 9002 4533 5050 8080];
  services.qemuGuest.enable = true; 

  services.shiori.enable = true;
  
#  environment.systemPackages = [ (pkgs.callPackage <agenix/pkgs/agenix.nix> {}) ];
#  age.secrets.secret_restic = {
#    file = ./secrets/secret_restic.age;
#    path = "/run/restic_pass";
#  };
  
}
